LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04897User patchesAdmin Toolspublic2011-01-24 00:062012-06-21 13:23
Reporterstarmonkey 
Assigned ToDenisChenu 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
Product Version1.90 
Target VersionFixed in Version1.91 
Summary04897: Fix table row heights for the display responses table
DescriptionSo I have a "survey" (more like an "application form") that has large text in both questions and answers.

When viewing the responses (/admin/admin.php?action=browse&sid=18513&subaction=all) I was surprised at how difficult it is to visually scan through responses. Each "row" is very large vertically, and on my laptop which is only 768px in height, this is essentially unusuable.

I am anticipating hundreds of responses for this particular survey.

So I decided on fixing the height of each row to and allowing a mouse-over to show the full contents of each cell.

After some googling, I settled on putting a DIV into each cell (with a class and title) and styling that accordingly.

I'm sure there are better ways, but that's my quick hack :)
Steps To Reproduce1) Design a survey with questions that are long
2) Fill out long answers (eg huge free text)
Additional InformationMy hack is to /admin/browse.php and /admin/styles/default/adminstyle.css

Just some short code examples:

$tableheader .= "<th class='$gbc'><div class=\"browsedatafield\" title=\"{$fn[1]}\">"
. FlattenText("$fn[1]")
. "</div></th>\n";

and further down:

$browseoutput .= "<td align='center'><div class=\"browsedatafield\">$browsedatafield</div></td>\n";

And the css:

.browsedatafield {
  height: 50px;
  overflow: hidden;
}

I'm not suggesting using this code, I'm sure there are better ways :)
TagsNo tags attached.
LimeSurvey build number OR git commit ID9672
Attached Files

- Relationships

-  Notes
User avatar (13999)
DenisChenu (developer)
2011-01-29 18:35

Think it's a good idea to have in css something like that too:

#resulttableform{
overflow:auto;
width:100%;
}

then the header are alxays here :)
User avatar (14069)
DenisChenu (developer)
2011-02-06 19:04

Javascript way , fixed in 9746

- Issue History
Date Modified Username Field Change
2011-01-24 00:06 starmonkey New Issue
2011-01-29 18:35 DenisChenu Note Added: 13999
2011-02-04 16:13 DenisChenu Assigned To => DenisChenu
2011-02-04 16:13 DenisChenu Status new => assigned
2011-02-06 19:04 DenisChenu Note Added: 14069
2011-02-06 19:04 DenisChenu Status assigned => resolved
2011-02-06 19:04 DenisChenu Fixed in Version => 1.91
2011-02-06 19:04 DenisChenu Resolution open => fixed
2012-06-21 13:23 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker